# Uses of Interface
org.eclipse.swt.custom.StyledTextContent

Packages that use StyledTextContent
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.swt.custom
SWT Custom widgets.

## Uses of StyledTextContent in org.eclipse.jface.text

Subinterfaces of StyledTextContent in org.eclipse.jface.text
Modifier and Type
Interface
Description
`interface`
`IDocumentAdapter`
Adapts an `IDocument`to the `StyledTextContent` interface.

## Uses of StyledTextContent in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return StyledTextContent
Modifier and Type
Method
Description
`StyledTextContent`
StyledText.`getContent()`
Returns the content implementation that is used for text storage.
Methods in org.eclipse.swt.custom with parameters of type StyledTextContent
Modifier and Type
Method
Description
`void`
StyledText.`setContent(StyledTextContent newContent)`
Sets the content implementation to use for text storage.
Constructors in org.eclipse.swt.custom with parameters of type StyledTextContent
Modifier
Constructor
Description
``
`TextChangedEvent(StyledTextContent source)`
Create the TextChangedEvent to be used by the StyledTextContent implementor.
``
`TextChangingEvent(StyledTextContent source)`
Create the TextChangedEvent to be used by the StyledTextContent implementor.